@import "bootstrap/bootstrap";
@import "index_styles";

main {
  img {
    max-width: 100%;
  }
}

.navbar-logo {
  display: none;
}

.scrolled {
  background: transparent linear-gradient(180deg, #99389d 0%, #76277a 100%);
  box-shadow: 0px 3px 6px #00000073;
  padding-top: 0 !important;
  //   position: relative;

  @media only screen and (max-width: 991.9px) {
    background-position: left;
  }

  .navbar-logo {
    display: block;
    height: 30px;
    margin-bottom: -8px;
    position: absolute;
    left: 16px;
    top: 8px;
    @media only screen and (min-width: 992px) {
      top: 14px;
    }
  }
}

nav {
  transition: ease-in 0.2s;
}

header {
  position: relative;
  background-image: url(../img/hero.png);
  background-size: cover;
  height: 400px;
  background-position: center;
  background-repeat: no-repeat;

  @media only screen and (max-width: 991.9px) {
    background-position: left;
    height: 300px;
  }

  ul {
    @media only screen and (max-width: 991.9px) {
      margin-left: auto;
      text-align: right;
      padding-top: 10px;
      margin-right: 10px;
    }

    @media only screen and (min-width: 992px) {
      padding-right: 100px;
      padding-top: 10px;
    }

    a {
      color: #ffffff !important;
      font-weight: 600;
      font-family: "Cairo", sans-serif;
      font-size: 16px;
      padding: 8px !important;

      &:hover {
        font-weight: 700;
        background-color: transparent !important;
      }

      @media only screen and (min-width: 992px) {
        margin-left: 20px;
      }
    }
  }

  .navbar-toggler {
    border: none !important;
    padding: 0.5rem 2rem !important;

    &:focus {
      outline: none;
    }

    > span {
      background-color: #fff;
    }
  }

  .head-logo {
    position: absolute;
    inset: 0;
    margin: auto;
    height: 100px;
    @media only screen and (min-width: 992px) {
      height: 200px;
    }
  }

  .icon-bar {
    width: 22px;
    height: 2px;
    background-color: #05181f;
    display: block;
    transition: all 0.2s;
    margin-top: 4px;
  }

  .navbar-toggler {
    border: none !important;
    background: transparent !important;
    margin-top: 10px;
  }

  .navbar-toggler .top-bar {
    transform: rotate(45deg);
    transform-origin: 10% 10%;
  }

  .navbar-toggler .middle-bar {
    opacity: 0;
  }

  .navbar-toggler .bottom-bar {
    transform: rotate(-45deg);
    transform-origin: 10% 90%;
    margin-bottom: 3px;
  }

  .navbar-toggler.collapsed .top-bar {
    transform: rotate(0);
  }

  .navbar-toggler.collapsed .middle-bar {
    opacity: 1;
  }

  .navbar-toggler.collapsed .bottom-bar {
    transform: rotate(0);
  }
}

#contact {
  font-family: "Cairo", sans-serif;
  background-color: #f2f2f2;
  height: 200px;
  padding-top: 50px;

  .contact-container {
    width: 400px;
    height: 100px;
    margin: auto;
    background-color: #ffffff;
    text-align: center;
    border-radius: 10px;

    img {
      padding-top: 25px;
      width: 50px;
      margin-right: 10px;
      margin-left: 10px;
    }

    @media only screen and (max-width: 419.9px) {
      width: 320px;

      img {
        padding-top: 35px;
        width: 35px;
        margin-right: 10px;
        margin-left: 10px;
      }
    }
  }
}

footer {
  background-color: #333333;
  color: #ffffff;
  text-align: center;
  padding: 16px 0;
}

#back2Top {
  width: 40px;
  line-height: 40px;
  overflow: hidden;
  z-index: 999;
  display: none;
  cursor: pointer;
  -moz-transform: rotate(270deg);
  -webkit-transform: rotate(270deg);
  -o-transform: rotate(270deg);
  -ms-transform: rotate(270deg);
  transform: rotate(270deg);
  position: fixed;
  bottom: 50px;
  right: 0;
  background-color: #ddd;
  color: #555;
  text-align: center;
  font-size: 30px;
  text-decoration: none;

  &:hover {
    background-color: #ddf;
    color: #000;
  }
}

//------------------ New custom styles -------------------------

main {
  margin-top: 30px !important;
  margin-bottom: 50px !important;
}

* {
  font-family: "Cairo", sans-serif;
}

.back-link {
  padding: 20px 0 0 30px;
  width: fit-content;

  a {
    color: #05181f;
    font-weight: 600;
    font-size: 14px;
    @media only screen and (min-width: 768px) {
      font-size: 16px;
    }

    &:hover {
      text-decoration: none;
    }
  }
}

.arrow {
  color: #05181f;
  margin: 5px 0;

  &::before {
    display: inline-block;
    padding-left: 8px;
    content: "\1F808";
    -webkit-transition: transform 0.2s ease-out;
    -moz-transition: transform 0.2s ease-out;
    -ms-transition: transform 0.2s ease-out;
    -o-transition: transform 0.2s ease-out;
    transition: transform 0.2s ease-out;
  }

  &:hover {
    &::before {
      -webkit-transform: translateX(-4px);
      -moz-transform: translateX(-4px);
      -ms-transform: translateX(-4px);
      -o-transform: translateX(-4px);
      transform: translateX(-4px);
    }
  }
}

#right-content {
  width: 100%;
  @media only screen and (min-width: 540px) {
    max-width: 30%;
    padding-left: 20px;
  }
}

#campaign {
  width: 100%;
  @media only screen and (min-width: 540px) {
    max-width: 70%;
  }
}

#donateButton,
#copyTemplateButton,
#commitTransaction {
  background: transparent linear-gradient(180deg, #99389d 0%, #76277a 100%) !important;
  color: #ffffff !important;
}

#donateField {
  margin: 10px 0;
}

input[type="range"]::-webkit-slider-thumb {
  background: transparent linear-gradient(180deg, #99389d 0%, #76277a 100%) !important;
}
input[type="range"]::-moz-range-thumb {
  background: transparent linear-gradient(180deg, #99389d 0%, #76277a 100%) !important;
}
input[type="range"]::-ms-thumb {
  background: transparent linear-gradient(180deg, #99389d 0%, #76277a 100%) !important;
}
